import * as yargs from 'yargs';
import { CreateWorkspaceOptions } from '../src/create-workspace-options';
import { Framework } from './types/framework-list';
import { Bundler } from './types/bundler-list';
interface Arguments extends CreateWorkspaceOptions {
    preset: string;
    appName: string;
    style: string;
    framework: Framework;
    standaloneApi: boolean;
    docker: boolean;
    nextAppDir: boolean;
    routing: boolean;
    bundler: Bundler;
}
export declare const commandsObject: yargs.Argv<Arguments>;
export {};
